LINUX.ORG.RU

Radeon 7570m и ubuntu

 , ,


0

1

Раньше был ноутбук Asus 1215t на котором успешно крутилась альфа версия elementary os luna (на базе ubuntu 12.04). Свистоперделки немного тормозили на открытых драйверах, но в целом система меня устраивала.

Недавно приобрел себе HP 6-1031er в котором стоит AMD A6 + Radeon AMD Radeon HD 7500G (upd затупил, у меня встроеная) Поставил elementary os, доросший к этому моменту до статуса «бета». Но после установки если в загрузчике выбрать новые ядра, система виснет не загрузившись. При этом мигает лампочка капслока. На старом 25 ядре грузится, но тормозит графика и если «таскать» окна то начинает подвывать система охлаждения.

fglrx нельзя ставить т.к. на багтрекере elementary os пишут, что с ним падает их оконный менеджер gala. И они вообще убрали уведомления о доступности закрытых драйверов из трея.

Тут недавно прочитал, что вышли драйвера ati 7.0.0, но не могу понять как искать драйвер. У них он называется xf86-video-ati а в ubuntu xserver-xorg-video-radeon. Короче помогите ламеру, куда грести?

AMD A6 + Radeon 7670M

hybrid crossfire. Скорее всего блоб нужен будет, если видюхи нельзя в биосе заблокировать.

система виснет не загрузившись. При этом мигает лампочка капслока

Кернел паник.

на багтрекере elementary os пишут, что с ним падает их оконный менеджер gala.

Я и не сомневался, что в elemetary мышевозы криворукие код пишут.

Поставь другую систему)

devl547 ★★★★★ ()
Последнее исправление: devl547 (всего исправлений: 1)

В заголовке темы

Radeon 7570m и ubuntu

Уже в самом посте

AMD A6 + Radeon 7670M

?

драйвера ati 7.0.0

Из новости про ati 7.0.0, как я понял, добавлена начальная поддержка ваших видеокарт (7000 серия), так, что скорее всего безпроблемно не заведется.

Пример

cast Behem0th и cast RussianNeuroMancer

xserver-xorg-video-radeon

Правильно - xserver-xorg-video-ati

Учитывая что у вас фактически ubuntu 12.04, то можно попробывать подключить этот ppa и поставить из него.

Но я считаю, что сейчас наиболее правильный вариант поставить проприетарный драйвер

anonymous ()
Ответ на: комментарий от anonymous

Учитывая что у вас фактически ubuntu 12.04, то можно попробывать подключить этот ppa и поставить из него.

Мне кажется, что одним PPA тут не обойдётся - нормальной поддержки этих видеокарт в 3.2 скорее всего тогда не было.

Barsik

Поставил elementary os, доросший к этому моменту до статуса «бета». Но после установки если в загрузчике выбрать новые ядра, система виснет не загрузившись.

Какая точная версия у этих «новых» ядер?

На старом 25 ядре грузится, но тормозит графика и если «таскать» окна то начинает подвывать система охлаждения.

2.6.35?

Короче помогите ламеру, куда грести?

Покажите lspci.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от anonymous

Из новости про ati 7.0.0, как я понял, добавлена начальная поддержка ваших видеокарт (7000 серия), так, что скорее всего безпроблемно не заведется.

Это относится 77xx+, а более низкие - старая r600 архитектура.

AlexVIP ()

девайс по lcpi: VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Device [1002:990a]

Поставил блоб fglrx beta по мануалу https://help.ubuntu.com/community/BinaryDriverHowto/ATI

удалил лого AMD testing use only скриптом отсюда: http://askubuntu.com/questions/206558/how-to-remove-the-amd-testing-use-only-...

3d ускорение завелось glx gears: 17683 frames in 5.0 seconds = 3536.415 FPS

Тут и образ беты elementary os подтянулся, ядро теперь не выпадает в kernel panic.

Barsik ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.